# Get Workflow Action

> Return the complete first-pass schema for one exact public action handler.

Source: [https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/get-workflow-action](https://genhealth.ai/docs/workflows/api-reference/v1/workflow-developer-api/get-workflow-action)

## Endpoint

`GET /developer/v1/actions/{handler}`

## Authentication

Send a GenHealth credential in the `Authorization` header:

```http
Authorization: Bearer <YOUR_API_KEY>
Accept: application/json
```

Required scopes: `workflow:read`

## Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `handler` | path | string | Yes | No description provided. |

## Request examples

### cURL

```curl
curl --request GET \
  --url 'https://api.umpa.genhealth.ai/developer/v1/actions/{handler}' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Accept: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.umpa.genhealth.ai/developer/v1/actions/{handler}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    Accept: 'application/json',
  },
});

const data = await response.json();
```

### Python

```python
import requests

response = requests.get(
    'https://api.umpa.genhealth.ai/developer/v1/actions/{handler}',
    headers={
        'Authorization': 'Bearer <YOUR_API_KEY>',
        'Accept': 'application/json',
    },
)

data = response.json()
```

## Responses

| Status | Description |
| --- | --- |
| 200 | Successful Response |
| 422 | Validation Error |

### 200 response example

```json
{
  "handler": "string",
  "group": "string",
  "label": "string",
  "description": "string",
  "connection_type": "string",
  "fields": [
    {
      "example_key": "string"
    }
  ],
  "outputs": [
    {
      "example_key": "string"
    }
  ],
  "safety": {
    "effect": "read",
    "confirmation_recommended": true,
    "retry_safe": true,
    "dry_run_supported": true
  }
}
```

### 422 response example

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```
